SimpleAnimationLayer.ManageGraphicsTask (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.learn
Class SimpleAnimationLayer.ManageGraphicsTask

    java.lang.Object
      java.util.TimerTask
          com.bbn.openmap.layer.learn.SimpleAnimationLayer.ManageGraphicsTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SimpleAnimationLayer

    public class SimpleAnimationLayer.ManageGraphicsTask

extends java.util.TimerTask

This is a TimerTask the timer uses to tell the points to update their position. This is where you would do work to change the position of your OMGraphics - whether by reading a data file, or checking a web site, whatever. This method could also be the call another object could call with new OMGraphics to display, if you wanted a different object to control the updates.

Constructor Summary
`SimpleAnimationLayer.ManageGraphicsTask(SimpleAnimationLayer layer)`

Method Summary
`protected void` | `moveRandomly(OMPoint point, double factor, Projection proj)` Simple method to move an OMPoint around randomly.
`protected void` | `moveRandomly(OMScalingIcon point, double factor, Projection proj)` Simple method to move an OMPoint around randomly.
`void` | `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAnimationLayer.ManageGraphicsTask

    public SimpleAnimationLayer.ManageGraphicsTask(SimpleAnimationLayer layer)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `java.util.TimerTask`

### moveRandomly

    protected void moveRandomly(OMPoint point,
                                double factor,
                                Projection proj)

  Simple method to move an OMPoint around randomly.

  Parameters:
    `point` - the OMPoint to move.
    `factor` - a movement factor, in pixels.
    `proj` - the current map projection

### moveRandomly

    protected void moveRandomly(OMScalingIcon point,
                                double factor,
                                Projection proj)

  Simple method to move an OMPoint around randomly.

  Parameters:
    `point` - the OMPoint to move.
    `factor` - a movement factor, in pixels.
    `proj` - the current map projection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details